Bug 1276320 - gcc-gnat-5.1.1-4.fc22.x86_64 has multiple binaries with execstack on
Summary: gcc-gnat-5.1.1-4.fc22.x86_64 has multiple binaries with execstack on
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 22
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-29 13:04 UTC by major
Modified: 2016-07-19 19:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:58:28 UTC
Type: Bug


Attachments (Terms of Use)

Description major 2015-10-29 13:04:43 UTC
gcc-gnat-5.1.1-4.fc22.x86_64 has multiple binaries with execstack on. This triggers prelinking errors like the following when the selinux boolean "selinuxuser_execstack" is set to "off".

"prelink: /usr/bin/gnatls: Could not parse `/usr/bin/gnatls: error while loading shared libraries: /usr/bin/gnatls: cannot enable executable stack as shared object requires: Permission denied'"

The following gives terminal commands and output separated by "##########".

##########
[major@archer ~]$ getsebool selinuxuser_execstack
selinuxuser_execstack --> off
##########
[major@archer ~]$ execstack -q $(rpm -ql gcc-gnat) 2>/dev/null
X /usr/bin/gnat
- /usr/bin/gnatbind
- /usr/bin/gnatchop
X /usr/bin/gnatclean
- /usr/bin/gnatfind
- /usr/bin/gnatgcc
- /usr/bin/gnatkr
- /usr/bin/gnatlink
X /usr/bin/gnatls
X /usr/bin/gnatmake
X /usr/bin/gnatname
- /usr/bin/gnatprep
- /usr/bin/gnatxref
- /usr/libexec/gcc/x86_64-redhat-linux/5.1.1/gnat1
##########

All the lines that begin with "X" show binaries with execstack on.

Comment 1 Marek Polacek 2015-11-02 11:57:34 UTC
It appears that this is <https://gcc.gnu.org/bugzilla/show_bug.cgi?id=67205> and it seems it's stalled now.

Florian posted a patch for this: <https://gcc.gnu.org/ml/gcc-patches/2015-08/msg00711.html>.

Comment 2 Fedora End Of Life 2016-07-19 19:58:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.